Supporto Tecnico Software > Pacchetti

qtkeychain-qt4: File in conflitto ... ancora !!

(1/2) > >>

mrcrowley:



Sembra diventata una (cattiva) abitudine ultimamente  :o

Cmq ecco i fatti:
--- Codice: ---

errore: impossibile eseguire l'operazione richiesta (file in conflitto)
qtkeychain-qt4: /usr/include/qt5keychain/keychain.h è già presente nel filesystem
qtkeychain-qt4: /usr/include/qt5keychain/qkeychain_export.h è già presente nel filesystem
qtkeychain-qt4: /usr/lib/cmake/Qt5Keychain/Qt5KeychainConfig.cmake è già presente nel filesystem
qtkeychain-qt4: /usr/lib/cmake/Qt5Keychain/Qt5KeychainConfigVersion.cmake è già presente nel filesystem
qtkeychain-qt4: /usr/lib/cmake/Qt5Keychain/Qt5KeychainLibraryDepends-release.cmake è già presente nel filesystem
qtkeychain-qt4: /usr/lib/cmake/Qt5Keychain/Qt5KeychainLibraryDepends.cmake è già presente nel filesystem
qtkeychain-qt4: /usr/lib/libqt5keychain.so è già presente nel filesystem
qtkeychain-qt4: /usr/lib/libqt5keychain.so.0.8.0 è già presente nel filesystem
qtkeychain-qt4: /usr/lib/libqt5keychain.so.1 è già presente nel filesystem
qtkeychain-qt4: /usr/lib/qt5/mkspecs/modules/qt_Qt5Keychain.pri è già presente nel filesystem
qtkeychain-qt4: /usr/share/qt5/translations/qtkeychain_de.qm è già presente nel filesystem
qtkeychain-qt4: /usr/share/qt5/translations/qtkeychain_ro.qm è già presente nel filesystem

--- Termina codice ---



--- Codice: ---

$ pacman -Qo /usr/include/qt5keychain/keychain.h
/usr/include/qt5keychain/keychain.h è contenuto in qtkeychain-qt5 0.8.0-1

--- Termina codice ---



--- Codice: ---

$ pacman -Qi qtkeychain-qt4
Nome           : qtkeychain-qt4
Versione       : 0.7.0-1
Descrizione    : Provides support for secure credentials storage.
Architettura   : x86_64
URL            : https://github.com/frankosterfeld/qtkeychain
Licenze        : BSD
Gruppi         : Nessuno
Fornisce       : qtkeychain
Dipende da     : qt
Dip. opzionali : Nessuno
Richiesto da   : Nessuno
Opzionale per  : Nessuno
Conflitti con  : Nessuno
Sostituisce    : qtkeychain
KiB richiesti  : 219,00 KiB
Autore         : gnastyle <BM-2cTv4XtvC9UQ8TdFCfPNySv2omc8T6m3sv@bitmessage.ch>
Creato il      : sab 28 mag 2016 15:25:07 CEST
Installato il  : lun 30 mag 2016 20:35:11 CEST
Motivo         : Installato come dipendenza di un altro pacchetto
Script install : No
Convalidato da : Somma SHA256

--- Termina codice ---



--- Codice: ---

$ pacman -Qi qt           
Nome           : qt
Versione       : 4.8.7-5
Descrizione    : A cross-platform application and UI framework
Architettura   : x86_64
URL            : http://www.qt.io
Licenze        : GPL3  LGPL
Gruppi         : Nessuno
Fornisce       : qt4
Dipende da     : libtiff  libpng  libmng  sqlite3  ca-certificates  glib2  dbus  fontconfig  libgl
                 libsm  libxrandr  libxv  libxi  alsa-lib  xdg-utils  hicolor-icon-theme
                 desktop-file-utils  libxinerama  libxcursor
Dip. opzionali : postgresql-libs: PostgreSQL driver [installato]
                 libmysqlclient: MySQL driver
                 unixodbc: ODBC driver [installato]
                 libxinerama: Xinerama support [installato]
                 libxfixes: Xfixes support [installato]
                 icu: Unicode support [installato]
                 freetds: Sybase & MS SQL driver
Richiesto da   : 2mandvd  acetoneiso2  attica  automoc4  fotowall  grantlee  gwenhywfar  kdelibs
                 lib32-qt  libakonadi-qt4  libdbusmenu-qt  liblastfm-qt4  libqzeitgeist  luckybackup
                 polkit-qt4  poppler-qt4  python-pyqt4-common  qca  qimageblitz  qjson  qt4-gstreamer
                 qtkeychain-qt4  qtwebkit  quick-usb-formatter  soprano  vlc
Opzionale per  : avahi  fcitx  openal  v4l-utils
Conflitti con  : Nessuno
Sostituisce    : Nessuno
KiB richiesti  :  85,04 MiB
Autore         : Weng Xuetian <wengxt@gmail.com>
Creato il      : ven 17 mar 2017 18:05:37 CET
Installato il  : mer 07 giu 2017 16:23:06 CEST
Motivo         : Installato come dipendenza di un altro pacchetto
Script install : Sì
Convalidato da : Somma SHA256

--- Termina codice ---

FranzMari:


Segnala sul bugtracker, grazie.

mrcrowley:



Ok. Provo.

Nella sezione Packages ???

dinolib:


tu intanto per risolvere dovresti rimuovere qtkeychain-qt4.
A quanto pare è dprecato...
Ma questi pacchetti ti sono necessari per qualche dipendenza?

mrcrowley:


L'ho riportato sopra da cosa dipende, anche se non riconosco un programma in particolare.

Navigazione

[0] Indice dei post

[#] Pagina successiva

Indice del forum

Vai alla versione completa